
%define __os_install_post %{nil}

Name:	react-explorer
Version:	3.1.0
Release:	%mkrel 1
License:	GPLv3
Group:	File tools
Summary:	Electron File Manager
Url:		https://github.com/warpdesign/react-explorer
Source1:    %{name}.desktop
Source2:   %{name}.png
AutoReqProv: no

%description
User-friendly, Electron-based file manager that provides split-view, tab support, and full keyboard controls

%prep

%build

%install
pushd %{_sourcedir}

wget -nc https://github.com/warpdesign/react-explorer/releases/download/v%{version}/react-explorer-%{version}-linux-amd64.AppImage
popd

install -Dm 0755 %{_sourcedir}/react-explorer-%{version}-linux-amd64.AppImage %{buildroot}/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage
install -Dm 0644 %SOURCE1 %{buildroot}/%{_datadir}/applications/%{name}.desktop
install -Dm 0644 %SOURCE2 %{buildroot}/%{_datadir}/pixmaps/%{name}.png

mkdir -p %{buildroot}/%{_bindir}
ln -fs /opt/appimage/%{name}-%{version}-linux-x86_64.AppImage %{buildroot}/%{_bindir}/%{name}

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage

%post
%update_menus

%postun
%clean_menus

%changelog
* Sun Feb 12 2023 tex - 3.1.0-1pclos2023
- new version

* Tue Dec 06 2022 tex - 2.3.1-1pclos2022
- create pkg
